Bug 94435 - FILEOPEN: RTF - Text alignment not retained
Summary: FILEOPEN: RTF - Text alignment not retained
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.5.2 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.1.0 target:5.0.4
Keywords: bibisected, bisected, filter:rtf, regression
Depends on:
Blocks: RTF-Paragraph
  Show dependency treegraph
 
Reported: 2015-09-22 08:26 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-22 21:56 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-09-22 08:26:03 UTC
Steps:
1) Open attachment 117736 [details]
2) Notice that the green headings are centered and the text in the tables are right aligned
2) Save it as an RTF
3) Reopen RTF
4) Notice that the green headings and table text are left aligned.

Its a fileopen issue as opening the saved rtf file in MS Word 2010 or LO 4.3.7 shows them correctly.

Version: 5.1.0.0.alpha1+
Build ID: 1e67e94f1a308ca60d4934e9fe9d5c048225ebe8
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-09-21_07:28:58
Locale: en-US (en_US.UTF-8)
Comment 1 raal 2015-09-22 10:10:07 UTC
I can confirm with LO 5.0.1.2, win7
Comment 2 Matthew Francis 2015-09-24 20:36:55 UTC
This seems to have begun at the below commit.
Adding Cc: to vmiklos@collabora.co.uk; Could you possibly take a look at this one? Thanks

    commit 4ee2a882dddb395a816cd54004b634d57cfb2446
    Author:     Miklos Vajna <vmiklos@collabora.co.uk>
    AuthorDate: Fri Apr 17 10:44:47 2015 +0200
    Commit:     Miklos Vajna <vmiklos@collabora.co.uk>
    CommitDate: Fri Apr 17 11:35:27 2015 +0200
    
        tdf#86182 RTF import: fix handling of \rtlpar
    
        Commit 558d5c25a0b1d6a937d33291a4b6cd7fca6cb15b (implement RTF_LTRPAR
        and RTF_RTLPAR, 2011-06-09) was just a guess, this one is the proper
        mapping.
    
        Change-Id: I1156ef5ddc34264d761d3e64dd0537bc6ec0ced7
Comment 3 E Alexander 2015-09-26 02:41:03 UTC
When I do FILE-NEW-TEXT DOCUMENT to get a new document, the formatting is not correct.  It may show a 12-point setting but the actual type size is enormous and I am unable to change it.
 
I do not understand all of this page that I see now.  I am not a techy.
 
Thanks for helping me remedy this problem.
Comment 4 Miklos Vajna 2015-09-30 20:38:53 UTC
(In reply to E Alexander from comment #3)
> I do not understand all of this page that I see now.

Please ask such questions at <http://ask.libreoffice.org/>, this bugzilla instance is for reporting actual bugs, not answering user questions. :-)

Thanks.
Comment 5 Commit Notification 2015-10-05 07:17:51 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=92fd894ea18672cba4cf961bdc4c0bc98f168102

tdf#94435 RTF import: \ltrpar should not override \qc

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Yousuf Philips (jay) (retired) 2015-10-05 09:01:17 UTC
Thanks for the patch Miklos. Would be good if you could backport this into 5.0?
Comment 7 Commit Notification 2015-10-09 13:51:18 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d5db91d310de658631f4cb85d1335fbe55c82453&h=libreoffice-5-0

tdf#94435 RTF import: \ltrpar should not override \qc

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Robinson Tryon (qubit) 2015-12-17 11:08:02 UTC Comment hidden (obsolete)